<?php

namespace app\modules\module_shop\models\forms;

use kernel\FormModel;

class CreateModuleShopForm extends FormModel
{
    public function rules(): array
    {
        return [
            'name' => 'required|min-str-len:3',
            'version' => 'required',
            'description' => 'required|min-str-len:10',
            'author' => 'required',
            'status' => 'required',
            'slug' => 'required',
            'path_to_archive' => 'required',
            'dependence' => '',
        ];
    }
}